Skip to navigation

Get account billing plan

View as Markdown

Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card.

By default the successor plan and credit card information is included in the response. You can exclude this information from the response by adding the appropriate optional query string and setting it to false.

Response

The response returns the billing plan information, including the currency code, for the plan. The billingPlan and succesorPlans property values are the same as those shown in the Billing: getBillingPlan reference. the billingAddress and creditCardInformation property values are the same as those shown in the Billing: updatePlan reference.

Note: When credit card number information displays, a mask is applied to the response so that only the last 4 digits of the card number are visible.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

include_credit_card_informationstringOptional

When true, payment information including credit card information will show in the return.

include_downgrade_informationstringOptional
include_metadatastringOptional

When true, the canUpgrade and renewalStatus properties are included the response and an array of supportedCountries is added to the billingAddress information.

include_successor_plansstringOptional

When true, excludes successor information from the response.

include_tax_exempt_idstringOptional

Response

Successful response.
billingAddressobjectOptional
Contains information about the address associated with the account.
billingAddressIsCreditCardAddressstringOptional

When true, the credit card address information is the same as that returned as the billing address. If false, then the billing address is considered a billing contact address, and the credit card address can be different.

billingPlanobjectOptional
Contains information about an account billing plan.
creditCardInformationobjectOptional
This object contains information about a credit card that is associated with an account.
directDebitProcessorInformationobjectOptional
Contains information about a bank that processes a customer's direct debit payments.
downgradePlanInformationobjectOptional
downgradeRequestInformationobjectOptional
entityInformationobjectOptional
paymentMethodstringOptional

The payment method used for the billing plan. Valid values are:

  • NotSupported
  • CreditCard
  • PurchaseOrder
  • Premium
  • Freemium
  • FreeTrial
  • AppStore
  • DigitalExternal
  • DirectDebit
paymentProcessorInformationobjectOptional
referralInformationobjectOptional

A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry

Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.

successorPlanslist of objectsOptional
A list of billing plans that the current billing plan can be rolled into.
taxExemptIdstringOptional

Errors

400
Bad Request Error